function [yk,yk_normalized,gk,Dck,gamma] = CP_DLD_gamma(Dp_min,Dp_max,gamma_min,gamma_step_less1,gk_fablim,D0k_fablim,NoS,gamma_max,gamma_step_high1)
%UNTITLED2 Summary of this function goes here
%   CIRCLE PILLARS
%*****Defining gamma range based on gamma_lim and gamma_max (which is
%defined based on the fab limits)
%gamma_max = lkmin2/gkmin;
gamma = [1./((1/gamma_min):(-1*gamma_step_less1):1.1) 1:gamma_step_high1:gamma_max]; %change step variable for gamma less than 1
%*****Fixed variables
syms x;
SSF = max(double(solve(x^NoS == Dp_max/Dp_min, x, 'Real', true)));
Beta = 1.1; % 10% more space based on the size of the particule
%*******Restrinctions of practical implementation - circle pillars
%gkmin = 1; %lkmin = gkmin*gamma; 
%lkmin2 = 1; %this will be a limitation when gamma is less than one... need to check!
DcminR = 0.001;
gamma_fablim = D0k_fablim/gk_fablim;
%initial condition to k=1
g1=ceil(Dp_max*Beta);
gk(1:length(gamma),1) = g1;
Dck = Dp_max/SSF;
%loop variable
q=0;

for i=1:NoS
    for ga=1:length(gamma)
        lkmin = gk_fablim*gamma(ga);
        if (q==0)
           if i==1
                Nk(i) = (Dck(i)/(1.4*gk(ga,i)))^(-1/0.48);
                DRmin(i) = Dck(i);
            else
                Dck(i) = Dck(i-1)/SSF;
                if Dck(i) <= DcminR
                    Dck(i) = DcminR;
                end
                gk(ga,i) = ceil(Dck(i-1)*Beta); % gi=g(i-1) will be the case whenever the fab limits are reached
                if gamma(ga) >= gamma_fablim && (l <= lkmin || gk(ga,i) <= gk_fablim) 
                    gk(ga,i) = gk_fablim;
                    glim = gk_fablim;
                    l = lkmin;
                    q=1;
                elseif gamma(ga) < gamma_fablim && (l <= D0k_fablim || gk(ga,i) <= gk_fablim) %ASK ABOUT THIS
                    l=D0k_fablim; %lkmin to use
                    gk(ga,i) = l/gamma(ga);
                    glim = l/gamma(ga); %glim to use
                    q=1;
                end
                Nk(i) = (Dck(i)/(1.4*gk(ga,i)))^(-1/0.48);
                DRmin(i) = Dck(i);
           end
           %calculating length of each section
            l=gk(ga,i)*gamma(ga);
            if gamma(ga) >= gamma_fablim && (l <= lkmin || gk(ga,i) <= gk_fablim) 
                gk(ga,i) = gk_fablim;
                glim = gk_fablim;
                l = lkmin;
                q=1;
            elseif gamma(ga) < gamma_fablim && (l <= D0k_fablim || gk(ga,i) <= gk_fablim)
                l=D0k_fablim; %lkmin to use
                gk(ga,i) = l/gamma(ga);
                glim = l/gamma(ga); %glim to use
                q=1;
            end
            yk(ga,i) = ceil(Nk(i))*(gk(ga,i)+l);
            %L(j,i) = sum(yk(j,1:i));
        %Second loop that will be used after reaching fabrication
        %limits
        else
            Dck(i) = Dck(i-1)/SSF;
            if Dck(i) <= DcminR
                Dck(i) = DcminR;
            end
            gk(ga,i) = glim; % gi=g(i-1) will be the case whenever the fab limits are reached
            Nk(i) = (Dck(i)/(1.4*gk(ga,i)))^(-1/0.48);
            DRmin(i) = Dck(i);
            yk(ga,i) = ceil(Nk(i))*(gk(ga,i)+l);
            %L(j,i) = sum(yk(j,1:i));
        end  
        q=0;
        if i==1
            yk_normalized = yk;
            yk_normalized(:,i) = yk(:,i)./yk(1,i);
        else
            yk_normalized(:,i) = yk(:,i)./yk(1,i);
        end
        %clear Dck gk 
    end
%     figure;
%     plot(gamma,(yk(:,i)')./1000,'-o')
%     title(strcat('Length vs Gamma for section',num2str(i)))
%     xlabel('Gamma')
%     ylabel('Section length (mm)')
end
%end of function
end

