function [L,Dcmin,pos_001, pA_001, pos_01, pA_01, pos_1, pA_1] = DLD_theory(SSF_array,NoS_array,DR_array)
%Declaration of variables
%Section (Critical Dimension) Scale Factor, SSF [alpha], Dc(k)=SSF*Dc(k+1)
%Number of Section, NoS [k], i form 1 to NoS
%Separation Device Length, L
%Dc, DLD critical dimension
%Separation Device Resolution, DR (Dcmin) = f(SN,SSF)
%**************************Theory**********************************
%*****Fixed variables
gkg = 2;
lkg = 6;
gamma = lkg/gkg;
Beta = 1.1; % 10% more space based on the size of the particule
%initial condition for k=1
%Dc1=5;
g1=10*Beta;

%Values to be evaluated
alfa = SSF_array; %SSF
k = NoS_array; %NoS

%Total length of the device based on the previous declarated variables

for j=1:length(alfa)
    Dck = 10/alfa(j);
    gk = g1;
    for i=1:length(k)
        if i==1
            Nk(j,i) = (Dck(i)/(1.4*gk(i)))^(-1/0.48);
            Dcmin(j,i) = Dck(i);
        else
            Dck(i) = Dck(i-1)/alfa(j);
            gk(i) = Dck(i-1)*Beta;
            Nk(j,i) = (Dck(i)/(1.4*gk(i)))^(-1/0.48);
            Dcmin(j,i) = Dck(i);
        end
        %calculating length of each section
        yk(i) = ceil(Nk(j,i))*(gk(i)+(gk(i)*gamma));
        L(j,i) = sum(yk(1:i));
    end
    clear Dck gk yk
%     for i=1:length(k)
%         L(j,i) = sum(yk(1:i));
%     end 
end

%Selection of DCmin values (name in the paper: DR)
DC_values = DR_array;
Z = size(Dcmin);
for i=1:length(DC_values)
    for j=1:Z(2)
        %for n=1:Z(2)
            temp = find(Dcmin(:,j)<(DC_values(i)+DC_values(i)*0.15) & Dcmin(:,j)>(DC_values(i)-DC_values(i)*0.15));
            if isempty(temp)==1
                N_Dcmin(i,j) = 0;
            else
                N_Dcmin(i,j) = temp(1);
            end
        %end
    end
end

pos_001 = find(N_Dcmin(1,:) ~= 0);
pA_001 = N_Dcmin(1,pos_001);
pos_01 = find(N_Dcmin(2,:) ~= 0);
pA_01 = N_Dcmin(2,pos_01);
pos_1 = find(N_Dcmin(3,:) ~= 0);
pA_1 = N_Dcmin(3,pos_1);
%pos_001, pA_001, pos_01, pA_01, pos_1, pA_1  
end

